View Issue Details

IDProjectCategoryView StatusLast Update
0000225ECLERD[All Projects] Designpublic2015-08-18 07:58
ReporterXenosAssigned ToXenos 
PrioritynoneSeverityfeatureReproducibilityhave not tried
Status CloseResolutionfixed 
Product Version 
Target Versionv1.0.0Fixed in Versionv1.0.0-a.7 
Summary0000225: Sprites
DescriptionPour l'instant, je n'ai que les sprites de eclerd v0

Je n'ai pas de liste des bâtiments pour la v1.0.0. De toute façon, cette liste n'a pas à exister, puisqu'il faudra certainement ajouter des bâtiments au fur et à mesure.

Mais bon, ils ressemblent à ça:
http://www.eclerd.fr/Skins/futurs/air-g1.png http://www.eclerd.fr/Skins/futurs/alimentaire-g1.png http://www.eclerd.fr/Skins/futurs/bois-g1.png http://www.eclerd.fr/Skins/futurs/cereale-g1.png http://www.eclerd.fr/Skins/futurs/charbon-g1.png http://www.eclerd.fr/Skins/futurs/dechet-g1.png http://www.eclerd.fr/Skins/futurs/mer-g1.png http://www.eclerd.fr/Skins/futurs/minerai-g1.png http://www.eclerd.fr/Skins/futurs/nucleaire-g1.png http://www.eclerd.fr/Skins/futurs/petrole-g1.png http://www.eclerd.fr/Skins/futurs/recherche-g2.png http://www.eclerd.fr/Skins/futurs/thermique-g1.png http://www.eclerd.fr/Skins/futurs/uranium-g1.png http://www.eclerd.fr/Skins/futurs/viande-g2.png

Alors, à quoi les faire ressembler dans une v1.0.0 ?
Tagsunites
Attach Tags

Relationships

related to 0000223 CloseXenos L'interface est moche 

Activities

Xenos

Xenos

2015-08-17 19:05

administrator   ~0000220

Voilà un ticket pour les sprites.
Alu

Alu

2015-08-17 21:26

manager   ~0000221

Last edited: 2015-08-17 21:28

View 2 revisions

Je pense qu'une liste doit être faite, mais une liste non-exhaustive.
L'avantage pour un graphiste c'est de savoir ce qu'il doit dessiner, et aussi de savoir ce qu'il lui reste à faire.

Techniquement. Je pense que seul les bâtiments seront à refaire, la couleur du terrain sera la couleur réel du terrain (de la case).

Ensuite, pour simplifier les choses, pour débuter, il n'y aura pas de sprites d'évolution du bâtiment (ça fera 3/4 du travail à faire en moins pour commencer).
Ensuite, pas d'animation, tu pourras faire payer cet option, ou le skin.

Avant de faire un sprite, il faut que du définisse la taille standard d'une case. Vrai vue Iso ? Angle à 60deg? Hauteur de la case égale à la longueur de ses côtés ?

Xenos

Xenos

2015-08-17 21:40

administrator   ~0000222

Last edited: 2015-08-17 21:44

View 2 revisions

A ce moment-là, je pense qu'il vaut mieux faire 1 ticket par bâtiment. Cela permettra de fermer le ticket si le bâtiment n'est pas une bonne idée, de le repousser à une version ultérieur si besoin, et de s'en passer l'assignation (celui qui travail sur le ticket se l'assigne, ça marche comme pour le statu "Feedback", sauf que c'est "Assigné").

Si tu veux, j'ouvre ces tickets pour les différents bâtiments que la v1.0.0 devraient avoir. Comme ça, tu pourras gérer ta liste de sprites à faire (si tu veux les faire) ☺.

Je suis d'accord: le bâtiment ne devrait pas recouvrir le sol et laisser transparaitre la couleur du terrain (couleur qui peut être la couleur "réaliste" du terrain, ou une couleur informative que le joueur a voulu afficher, genre "y'a-t-il du pétrole sous la case?").

Ok aussi pour l'absence d'évolution du bâtiment. S'il y a plusieurs générations de bâtiments (on verra ça bien plus tard, mais bon), alors il y aura plusieurs bâtiments (et non un seul bâtiment qui évolue).

Ok aussi pour l'animation, c'est pas prioritaire du tout et l'idée d'un skin animé me plait (comme ça, ceux qui n'aiment pas que la carte bouge dans tous les sens pourront avoir une version statique).

Moi, les cases que j'ai actuellement à l'affichage, c'est un losange de 2 unités de large, 1 unité de haut (donc, des angles à la c** de 52°), mais c'est franchement pas un problème de passer ça en losange de 60°.

En interne, la map est une grille de losanges-carrés (angles 90°, largeur 2, hauteur 2, cotés √2=1.4142). Je peux déformer cette grille sans aucun problème pour qu'elle colle à l'affichage. Donc on peut partir sur des losanges de 60° si tu veux (ou autre angle), ou sur des losanges de 2x1 (ou autre dimensions).

Quant au format, PNG ou SVG, c'est à toi de voir. L'atout du SVG, c'est que t'as pas à demander la résolution ^^ A l'écran, je pense qu'on peut zoomer jusqu'à 256px de large sans soucis. Donc, il faudrait plutôt de la sprite de 300 de large (mais si ça te parait incohérent, dis-le!)

Alu

Alu

2015-08-17 21:58

manager   ~0000223

Je préfère que la vue Iso soit égale à la somme de deux triangles équilatéraux. Avec des angle à 60. Et des côtés (hauteur comprise) de même longueur.

Je veux bien que tu fasses un ticket pour chaque bâtiment.
Et je veux bien voir pour commencer la vectorisation des bâtiments, cependant ça avancera plus vite une fois les vacances terminée (durant mes pauses :-P ).
Xenos

Xenos

2015-08-17 22:11

administrator   ~0000224

Ok pour les triangles équilatéraux.
Je te crée un ticket par bâtiment, ça marche. Pour la vectorisation, ok. T'inquiète pas pour l'avancement lent/rapide et passe de bonnes vacances!
Xenos

Xenos

2015-08-17 23:05

administrator   ~0000225

Last edited: 2015-08-17 23:12

View 3 revisions

Voilà, j'ai ouvert les différents tickets. Je te laisse regarder chaque ressource et chaque usine, et me dire si cela te convient. Oui, il en manque, mais celles listées devraient constituer une première version de départ potable (pas encore franchement intéressante à jouer, mais potable).

Pour chaque usine, il faudrait une sprite (donc, en 60° comme tu le voulais), et pour chaque ressource, je pense qu'il faudrait une icône. Je ne sais pas trop dans quel style... A mon avis, il faudrait quelque chose de similaire aux usines, genre une vue isométrique d'un truc qui représente la ressource, en SVG aussi (pour le pétrole par exemple, cela peut être un baril en vue isométrique).

Pour les ressources qui te conviennent, je te laisse les passer en "acknowledge" (Accepté). Si certaines ne te vont pas, passe-les en "Feedback" ("commentaire") en me l'assignant et en laissant une note (comme d'hab).

Après, si tu te lances dans une sprite (de ressource ou d'usine), assigne-le toi en le passant en "Affecté" et en te sélectionnant dans le menu déroulant.

Ah, et quand une sprite sera faite, tu pourras passer le bug en "Résolu" et me sélectionner dans la liste déroulante (ce qui m'assignera à la suite des opérations, à savoir l'implémenter dans le jeu).

Je ne sais plus si je t'avais donné des accès FTP pour uploader les images...? Si c'est pas le cas, je peux t'en donner un.



Si t'as des commentaires pour ce ticket-ci, fais une note. Sinon, tu peux fermer ce ticket (et on continuera dans les autres tickets, de chacune des usine/ressource)

Alu

Alu

2015-08-18 07:58

manager   ~0000226

J'ai pas souvenir d'avoir accès au FTP mais bon, tu le sais, la mémoire nous joue souvent des tours. Je ne serai pas très dispo ces prochains jours, mais je suis partant pour faire les sprites. En tous cas elles seront prête pour la fin d'année.

Issue History

Date Modified Username Field Change
2015-08-17 18:26 Xenos New Issue
2015-08-17 18:26 Xenos Relationship added related to 0000223
2015-08-17 18:52 Xenos Description Updated View Revisions
2015-08-17 18:57 Xenos Description Updated View Revisions
2015-08-17 18:57 Xenos Description Updated View Revisions
2015-08-17 19:02 Xenos Description Updated View Revisions
2015-08-17 19:03 Xenos Description Updated View Revisions
2015-08-17 19:05 Xenos Note Added: 0000220
2015-08-17 19:05 Xenos Assigned To => Alu
2015-08-17 19:05 Xenos Status New => Feedback
2015-08-17 21:26 Alu Assigned To Alu => Xenos
2015-08-17 21:26 Alu Note Added: 0000221
2015-08-17 21:26 Alu Note View State: 0000221: private
2015-08-17 21:27 Alu Note View State: 0000221: public
2015-08-17 21:28 Alu Note Edited: 0000221 View Revisions
2015-08-17 21:40 Xenos Note Added: 0000222
2015-08-17 21:40 Xenos Status Feedback => In progress
2015-08-17 21:40 Xenos Status In progress => Feedback
2015-08-17 21:44 Xenos Note Edited: 0000222 View Revisions
2015-08-17 21:58 Alu Note Added: 0000223
2015-08-17 22:11 Xenos Note Added: 0000224
2015-08-17 22:11 Xenos Status Feedback => In progress
2015-08-17 22:11 Xenos Tag Attached: batiment
2015-08-17 23:05 Xenos Note Added: 0000225
2015-08-17 23:05 Xenos Status In progress => Resolved
2015-08-17 23:05 Xenos Resolution open => fixed
2015-08-17 23:05 Xenos Assigned To Xenos => Alu
2015-08-17 23:06 Xenos Note Edited: 0000225 View Revisions
2015-08-17 23:12 Xenos Note Edited: 0000225 View Revisions
2015-08-18 07:58 Alu Note Added: 0000226
2015-08-18 07:58 Alu Status Resolved => Close
2015-08-18 07:58 Alu Assigned To Alu => Xenos
2015-08-18 07:58 Alu Fixed in Version => v1.0.0-a.7
2015-12-27 22:38 Xenos Category Design interface UI/UX => Design
2015-12-27 23:43 Xenos Tag Renamed batiment => eclerd-batiment
2015-12-27 23:53 Xenos Tag Renamed eclerd-batiment => unites
2016-01-15 23:09 Xenos Category Design => Appearence
2016-01-15 23:13 Xenos Category Appearence => Design